Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
account,
author,
contact,
organisation,
property,
representative
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id_in: Filter by interaction ID(s)
  • account_in: Filter interactions for account ID(s)
  • contact_in: Filter interactions for contact ID(s)
  • property_in: Filter interactions at specific property ID(s)
  • representative_in: Filter interactions by representative ID(s)
  • status_in: Filter by interaction status (scheduled, attempted, closed)
  • contacted_in: Filter by whether contact was made (true, false)
  • method_in: Filter by contact method (email, letter, telephone)
  • direction_in: Filter by interaction direction (inbound, outbound)

For more information on using named filters, see the docs

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
date_time,
-date_time,
created_at,
-created_at
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of customer interactions.

JSON API response object

data
A list of customer interactions · object[]
required
meta
object
required
jsonapi
object
required